Bug 14867 - kernel: [drm:i9xx_* underrun and kernel: [drm:intel_* [i915]] \*ERROR\* * underruns
Summary: kernel: [drm:i9xx_* underrun and kernel: [drm:intel_* [i915]] \*ERROR\* * und...
Status: RESOLVED FIXED
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: Cauldron
Hardware: i586 Linux
Priority: Normal normal
Target Milestone: ---
Assignee: Kernel and Drivers maintainers
QA Contact:
URL:
Whiteboard: MGA5TOO
Keywords:
Depends on: 16655
Blocks:
  Show dependency treegraph
 
Reported: 2014-12-21 17:05 CET by Marja Van Waes
Modified: 2019-02-19 10:16 CET (History)
1 user (show)

See Also:
Source RPM: kernel-desktop-3.19.8-3.mga5
CVE:
Status comment:


Attachments
journalctl -b output (138.28 KB, text/plain)
2014-12-21 17:05 CET, Marja Van Waes
Details
"journalctl -b" output (895 bytes, text/plain)
2015-06-18 10:00 CEST, Marja Van Waes
Details

Description Marja Van Waes 2014-12-21 17:05:52 CET
Created attachment 5749 [details]
journalctl -b output

I've seen some
Dec 21 16:10:22 localhost kernel: [drm:i9xx_set_fifo_underrun_reporting] *ERROR* pipe A underrun
Dec 21 16:10:22 localhost kernel: [drm:i9xx_set_fifo_underrun_reporting] *ERROR* pipe A underrun
Dec 21 16:10:22 localhost kernel: [drm:i9xx_check_fifo_underruns] *ERROR* pipe B underrun
Dec 21 16:10:22 localhost kernel: [drm:i9xx_check_fifo_underruns] *ERROR* pipe B underrun
-like errors on this laptop
https://wiki.mageia.org/en/User:Marja/QA/Hardware#IBM_ThinkPad_R50e

It is present in a fresh 4th round pre-5beta2 dual iso install, too.

I didn't configure any acceleration, this is with default settings.

However, I don't know yet how to check whether the default it what it is supposed to be.
Marja Van Waes 2014-12-21 17:08:38 CET

Whiteboard: (none) => 5beta2

Comment 1 Marja Van Waes 2014-12-21 17:57:07 CET
The other system which has something similar, is this one
https://wiki.mageia.org/en/User:Marja/QA/Hardware#Lenovo_ThinkPad_L530

It was last updated today, and also runs kernel-desktop-3.18.1-1.mga5

[root@DenkBlok3Cauldron5a1_EFI marja]# journalctl -b | grep underrun
Dec 21 17:48:07 DenkBlok3Cauldron5a1_EFI kernel: [drm:cpt_set_fifo_underrun_reporting] *ERROR* uncleared pch fifo underrun on pch transcoder A
Dec 21 17:48:07 DenkBlok3Cauldron5a1_EFI kernel: [drm:cpt_serr_int_handler] *ERROR* PCH transcoder A FIFO underrun
[root@DenkBlok3Cauldron5a1_EFI marja]# 

I'll do a fresh 5beta2 install over this install asap, and when the errors are still there, file a separate bug report (it should go into a separate report then, correct?)
Comment 2 Marja Van Waes 2015-01-06 17:36:50 CET
Don't see those errors any longer on this system, neither in a fresh cauldron install (today's dual iso), nor after fully updating an older cauldron

Status: NEW => RESOLVED
Resolution: (none) => FIXED

Comment 3 Marja Van Waes 2015-06-18 09:59:07 CEST
Sorry, should have reopened this bug long ago.

I think it was already before the 3.19 kernels (so in one of the later 3.18 kernels) that the bug returned. 
So I assume the error has only been suppressed when it seemed solved.

I'll attach the output of "journalctl -b | grep underrun"

Source RPM: kernel-desktop-3.18.1-1.mga5 => kernel-desktop-3.19.8-3.mga5
Whiteboard: 5beta2 => MGA5TOO
Status: RESOLVED => REOPENED
Resolution: FIXED => (none)
Summary: kernel: [drm:i9xx_* underruns => kernel: [drm:i9xx_* underruns and kernel: [drm:intel_* [i915]] \*ERROR\* * underruns

Comment 4 Marja Van Waes 2015-06-18 10:00:16 CEST
Created attachment 6754 [details]
"journalctl -b" output

Attachment 5749 is obsolete: 0 => 1

Marja Van Waes 2015-06-18 10:00:33 CEST

Summary: kernel: [drm:i9xx_* underruns and kernel: [drm:intel_* [i915]] \*ERROR\* * underruns => kernel: [drm:i9xx_* underrun and kernel: [drm:intel_* [i915]] \*ERROR\* * underruns

Comment 5 Thomas Backlund 2015-09-18 15:42:18 CEST
does kernel 4.1.7 work any better ?

Depends on: (none) => 16655

Comment 6 Marja Van Waes 2015-09-19 13:51:43 CEST
No, sorry Thomas:

[root@localhost marja]# uname -r
4.1.7-desktop-1.mga6
[root@localhost marja]# journalctl -b | grep underrun
sep 19 11:44:41 localhost kernel: [drm:intel_set_cpu_fifo_underrun_reporting [i915]] *ERROR* pipe A underrun
sep 19 11:44:41 localhost kernel: [drm:intel_set_cpu_fifo_underrun_reporting [i915]] *ERROR* pipe B underrun
sep 19 11:44:41 localhost kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe B FIFO underrun
sep 19 11:44:41 localhost kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
sep 19 11:44:41 localhost kernel: [drm:i9xx_check_fifo_underruns [i915]] *ERROR* pipe B underrun
sep 19 11:44:41 localhost kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
sep 19 11:45:14 localhost kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
sep 19 13:44:54 localhost kernel: [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
sep 19 13:45:13 localhost kernel: [drm:intel_set_cpu_fifo_underrun_reporting [i915]] *ERROR* pipe A underrun
[root@localhost marja]#
Comment 7 Marja Van Waes 2016-08-26 11:43:18 CEST
Mass-reassigning all bugs with "kernel" in the Source RPM field that are assigned to tmb, to the kernel packagers group, because tmb is currently MIA.

Assignee: tmb => kernel

Comment 8 Marc Krämer 2016-10-07 11:36:57 CEST
I have the same issue for some time. But it only happens when a second monitor was once attached (even temporary). Mayby due to different resolution?

When this error occurs both screens go blank for some time. It happens most of the time when switching to/scrolling a terminal app like mate-terminal. Also browserbased video playback seems to cause this more often.

Maybe these lines from dmesg may help:

[    1.762050] [drm] Initialized i915 1.6.0 20151010 for 0000:00:02.0 on minor 0
[    1.902352] [drm] GMBUS [i915 gmbus dpb] timed out, falling back to bit banging on pin 5
[    2.285170] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[   16.137679] [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder A FIFO underrun
[   16.143300] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun
[  245.463936] i915 0000:00:02.0: BAR 6: [??? 0x00000000 flags 0x2] has bogus alignment
[  255.624841] [drm:intel_pch_fifo_underrun_irq_handler [i915]] *ERROR* PCH transcoder B FIFO underrun
[  275.436290] [drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

See Also: (none) => https://bugs.mageia.org/show_bug.cgi?id=18901
CC: (none) => mageia

Comment 9 Marc Krämer 2017-01-31 18:17:55 CET
@Marja: this was fixed in 4.4 Kernel releases. Will you close this?
Comment 10 Marja Van Waes 2019-02-19 10:16:16 CET
(In reply to Marc Krämer from comment #9)
> @Marja: this was fixed in 4.4 Kernel releases. Will you close this?

Over two years too late, but, yes, finally closing.

Status: REOPENED => RESOLVED
Resolution: (none) => FIXED


Note You need to log in before you can comment on or make changes to this bug.